mdbtool(1)

NAME
mdbtool - Manges the Bongo MDB agent

SYNOPSIS
mdbtool [options] COMMAND

DESCRIPTION
mdbtool manages the operation of the Bongo MDB agent. It takes a COMMAND on execution to specify its action.

OPTIONS

-h, --help
    Show help message and exit.

-p PASSWORD, --password=PASSWORD
    Use password PASSWORD for authentication.

-u USERNAME, --username=USERNAME
    Use username USERNAME for authentication.

COMMANDS

getbasedn

getattrs OBJECT ATTRNAME

getdnattrs OBJECT ATTRNAME

addattr OBJECT ATTRNAME VALUE

setattr OBJECT ATTRNAME VALUE

addobject OBJECT CLASS [attr1=value1 attr2=...]

delobject OBJECT [ true | false ]

listobjects OBJECT

setpassword OBJECT [ PASSWORD | -f PWFILE ]

verifypassword OBJECT PASSWORD

isobject OBJECT

defattr ATTRNAME ASN1 [opt1=val1 opt2=...]

defclass CLASSNAME ASN1 [opt1=val1 opt2=...]

defclassattr CLASSNAME ATTRNAME

delattrdef ATTRNAME

delclassdef CLASSNAME

grantobj OBJECT TRUSTEE [opt=val1 opt2=...]

grantattr OBJECT ATTRNAME TRUSTEE [opt1=val1 opt2=...]

gethostipaddr

AUTHOR
This man page was written by Jonny Lamb <jonnylamb@jonnylamb.com>.

SEE ALSO
bongo-setup(1), bongo-admin(1)